libetonyek::IWORKStyleContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleContext Class Reference

`#include <IWORKStyleContext.h>`

Inheritance diagram for libetonyek::IWORKStyleContext:

## Public Member Functions
| IWORKStyleContext (IWORKXMLParserState &state, IWORKStyleMap_t *styleMap=nullptr, bool nested=false)
| IWORKStyleContext (IWORKXMLParserState &state, IWORKPropertyMap &props, IWORKStyleMap_t *styleMap=nullptr, bool nested=false)
| IWORKStyleContext (IWORKXMLParserState &state, IWORKPropertyMap &props, IWORKStyleMap_t *styleMap=nullptr, const char *defaultParent=nullptr, bool nested=false)
void | attribute (int name, const char *value) override
void | endOfElement () override
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override

## Private Attributes
IWORKStyleMap_t *const | m_styleMap
const std::string | m_defaultParent
const bool | m_nested
IWORKPropertyMap | m_ownProps
IWORKPropertyMap & | m_props
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleContext() [1/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKStyleMap_t * | styleMap = `nullptr`,
|  | bool | nested = `false`
| ) |  |

## ◆ IWORKStyleContext() [2/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | props,
|  | IWORKStyleMap_t * | styleMap = `nullptr`,
|  | bool | nested = `false`
| ) |  |

## ◆ IWORKStyleContext() [3/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | props,
|  | IWORKStyleMap_t * | styleMap = `nullptr`,
|  | const char * | defaultParent = `nullptr`,
|  | bool | nested = `false`
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKStyleContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| override

Referenced by libetonyek::KEY2StyleContext::attribute(), and libetonyek::PAG1StyleContext::attribute().

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStyleContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKStyleContext::endOfElement | ( |  | ) |
| override

Referenced by libetonyek::PAG1StyleContext::endOfElement().

## Member Data Documentation

## ◆ m_defaultParent

const std::string libetonyek::IWORKStyleContext::m_defaultParent
| private

Referenced by endOfElement().

## ◆ m_ident

boost::optional<std::string> libetonyek::IWORKStyleContext::m_ident
| private

Referenced by attribute(), and endOfElement().

## ◆ m_nested

const bool libetonyek::IWORKStyleContext::m_nested
| private

Referenced by endOfElement().

## ◆ m_ownProps

IWORKPropertyMap libetonyek::IWORKStyleContext::m_ownProps
| private

## ◆ m_parentIdent

boost::optional<std::string> libetonyek::IWORKStyleContext::m_parentIdent
| private

Referenced by attribute(), and endOfElement().

## ◆ m_props

IWORKPropertyMap& libetonyek::IWORKStyleContext::m_props
| private

Referenced by element(), and endOfElement().

## ◆ m_styleMap

IWORKStyleMap_t* const libetonyek::IWORKStyleContext::m_styleMap
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKStyleContext.h
- IWORKStyleContext.cpp